﻿using System.Data.Entity;
using GameStore.Entities.DataAccessModels;

namespace GameStore.Entities.Contexts
{
    /// <summary>
    /// Describes part of database dedicated to gamers
    /// </summary>
    internal class GamersContext : DbContext
    {
        public GamersContext()
            : base()
        {            
        }
        
        public GamersContext(string nameOrConnectionString)
            : base(nameOrConnectionString)
        {
        }

        public DbSet<Gamer> Gamers { get; set; }
    }
}
