﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace GameStore.Entities.DataAccessModels
{
    public class GameWrapper : Game
    {
        /// <summary>
        /// A game without developer makes no sense
        /// </summary>
        [Required]
        public virtual Developer Developer { get; set; }

        public virtual ICollection<Award> Awards { get; set; } = new List<Award>();
    }
}
