﻿using System.Collections.Generic;
using System.Threading.Tasks;
using GameStore.Entities.DataAccessModels;

namespace GameStore.Entities.Repositories
{
    public interface IGameStoreRepository
    {
        Task<GameWrapper> GetSingleGame(string codeName);

        Task<IEnumerable<Game>> GetAllGames();

        Task<GameWrapper> AddGame(GameWrapper game);

        Task<GameWrapper> AddGame(Game game, Developer developer, IEnumerable<Award> awards);
    }
}
