﻿using AutoMapper;
using GameStore.Services.DataTransferModels.Mapping;

namespace GameStore.Services.Configuration
{
    public static class ServicesMapperConfiguration
    {
        public static void InitialializeMappings(IMapperConfigurationExpression configuration)
        {
            configuration.AddProfile<GameMappingProfile>();
            configuration.AddProfile<GameItemMappingProfile>();
            configuration.AddProfile<DeveloperMappingProfile>();
        }
    }
}
