﻿using System.Threading.Tasks;
using GameStore.Services.DataTransferModels;

namespace GameStore.Services.GameStock
{
    public interface IGameStockService
    {
        Task<Game> AddGame(GameItem game, string developerCodeName);
        Task<Developer> AddDeveloper(string codeName, string displayName);
        Task<GameItem[]> GetAllGames();
        Task<DataTransferModels.Developer[]> GetAllDevelopers();
        Task<Game> GetGame(string codeName);
    }
}