namespace Migrations.GameContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Initial : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.Gamers",
                c => new
                    {
                        Id = c.Guid(nullable: false, identity: true),
                        Avatar = c.Binary(),
                        DisplayName = c.String(),
                        CodeName = c.String(),
                    })
                .PrimaryKey(t => t.Id);
            
        }
        
        public override void Down()
        {
            DropTable("dbo.Gamers");
        }
    }
}
