﻿using System.Collections.Generic;

namespace GameStore.Entities.DataAccessModels
{
    public class Award : ModelBase
    {
        public byte[] Badge { get; set; }

        /// <summary>
        /// All games having this award. Efectively creating M:N relation.
        /// </summary>
        public virtual ICollection<GameWrapper> Games { get; set; } = new List<GameWrapper>();
    }
}
