﻿using System.Collections.Generic;
using System.Linq;

namespace GameStore.Entities.DataAccessModels
{
    public class Developer : ModelBase
    {
        /// <summary>
        /// Collection of all games by the developer. Effectively creating 1:N relation.
        /// </summary>
        public virtual ICollection<GameWrapper> Games { get; set; } = new List<GameWrapper>();
    }
}
