﻿using System.Threading.Tasks;
using GameStore.Entities.DataAccessModels;

namespace GameStore.Entities.Repositories
{
    public interface IGameDevelopersRepository
    {
        Task<Developer> AddDeveloper(Developer developer);

        Task<Developer> GetSingleDeveloper(string codeName);

        Task<Developer[]> GetAllDevelopers();
    }
}