import React from 'react';
import EditGame from './EditGame';

export default class GameRow extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      showDetails: false,
    };

    this.toggleDetails = this.toggleDetails.bind(this);
  }

  toggleDetails() {
    this.setState({
      showDetails: !this.state.showDetails,
    });
  }

  render() {
    const game = this.props.game;

    return (
      <tr
        key={game.gameCodeName}
      >
        <td>{game.displayName}</td>
        <td>{game.gamePrice}$</td>
        <td>TODO: display developer</td>
      </tr>
    );
  }
}
