namespace Migrations.GameContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class UniqueCodeNameAdded : DbMigration
    {
        public override void Up()
        {
            AlterColumn("dbo.Gamers", "CodeName", c => c.String(nullable: false, maxLength: 254));
            CreateIndex("dbo.Gamers", "CodeName", unique: true);
        }
        
        public override void Down()
        {
            DropIndex("dbo.Gamers", new[] { "CodeName" });
            AlterColumn("dbo.Gamers", "CodeName", c => c.String());
        }
    }
}
